MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
FilterConfig.hxx File Reference

Utility functions for filter configuration. More...

Go to the source code of this file.

## Functions
void | filter_chain_parse (PreparedFilter &chain, const char *spec)
| Builds a filter chain from a configuration string on the form "name1, name2, name3, ..." by looking up each name among the configured filter sections. More...

## Detailed Description

Utility functions for filter configuration.

Definition in file FilterConfig.hxx.

## Function Documentation

void filter_chain_parse | ( | PreparedFilter & | chain,
|  | const char * | spec
| ) |  |

Builds a filter chain from a configuration string on the form "name1, name2, name3, ..." by looking up each name among the configured filter sections.

Throws std::runtime_error on error.

Parameters

  chain | the chain to append filters on
  spec | the filter chain specification